BizKitHub
DocsAPI ReferenceOrder/bff/order/add-event
postOrderAdmin BFF

/bff/order/add-event

Adds a calendar event as a line item to the order and recalculates the total price.

OrderpostBffOrderAdd-event

Parameters

JSON body

Request body

application/json
orderHashstringRequired

Unique order hash identifier.

eventCodestringRequired

Calendar event code to attach as an order item.

Response schema

1 status code documented

200Success
successbooleanRequired
Default: true

Response example

application/json
{
  "success": true
}

Request example

POST /bff/order/add-event

post
curl -X POST "https://api.bizkithub.com/bff/order/add-event" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "orderHash": "example_orderHash",
  "eventCode": "example_eventCode"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key